#include <stdio.h>
#include <stdlib.h>
#include "liste.h"

int sadrzi(cvor *g, int x)
{
	if(g == NULL)	
		return 0;
	
	if(g->vrednost == x)
		return 1;
	
	return sadrzi(g->sledeci, x);
}

cvor *svi_iz_jedne_bez_druge(cvor *l1, cvor *l2)
{
	cvor *rez = NULL;
	while(l1 != NULL)
	{
		if(!sadrzi(l2, l1->vrednost))
			rez = dodaj_na_kraj_liste(rez, l1->vrednost);
		
		l1 = l1->sledeci;
	}
	
	return rez;
}

int main()
{
	cvor *l1 = ucitaj_listu_na_kraj();
	ispis(l1);
	cvor *l2 = ucitaj_listu_na_kraj();
	ispis(l2);
	
	cvor *l3 = svi_iz_jedne_bez_druge(l1, l2);
	ispis(l3);
	
	l1 = oslobodi(l1);
	l2 = oslobodi(l2);
	l3 = oslobodi(l3);
}