#include <stdio.h>
#include <stdlib.h>
#include "liste.h"

void povecaj_smanji_sledeci_iter(cvor *g)
{
	if(g == NULL)
		return;
	while(g->sledeci != NULL)
	{
		if(g->vrednost % 2 == 0)
			g->sledeci->vrednost++;
		else
			g->sledeci->vrednost--;
		
		g = g->sledeci;
	}
}

void povecaj_smanji_sledeci(cvor *g)
{
	if(g == NULL)
		return;
	
	//ako radimo rekurzivnu verziju uvek posmatramo 2 elementa
	//i naredni menjamo u odnosu na vrednost trenutnog
	//znaci treba nam jos jedan uslov
	
	if(g->sledeci == NULL)
		return;
		
	//sada znamo da postoji i g i g->sledeci
	
	if(g->vrednost % 2 == 0)
		g->sledeci->vrednost++;
	else
		g->sledeci->vrednost--;
	
	povecaj_smanji_sledeci(g->sledeci);
}

int main() {
	cvor *l = ucitaj_listu_na_kraj();
	//funkcija ne menja adrese i samo strukturu liste
	//samo menja vrednosti u cvorovima
	//ne treba da ima povratnu vrednost
	povecaj_smanji_sledeci(l);
	ispis(l);
	povecaj_smanji_sledeci_iter(l);
	ispis(l);
	l = oslobodi(l);
}