#include <stdio.h>
#include <stdlib.h>
#include "liste.h"

int sadrzi(cvor *g, int v)
{
	if(g == NULL)
		return 0;
	
	if(g->vrednost == v)
		return 1;
	
	return sadrzi(g->sledeci, v);
}

cvor* lista_1_bez_lista_2(cvor *l1, cvor *l2)
{
	cvor *r = NULL;
	while(l1 != NULL)
	{
		//idemo kroz listu l1, clan po clan
		//sve dok ne dodjemo do kraja
		
		if(!sadrzi(l2, l1->vrednost))
			r = dodaj_na_kraj_liste(r, l1->vrednost);
		
		l1 = l1->sledeci;
	}
	return r;
}

int main() {
	cvor *l1 = ucitaj_listu_na_kraj();
	cvor *l2 = ucitaj_listu_na_kraj();
	
	cvor *nl = lista_1_bez_lista_2(l1, l2);
	ispis(nl);
	
	nl = oslobodi(nl);
	l1 = oslobodi(l1);
	l2 = oslobodi(l2);
}